# List type groups

Retrieves a paginated list of type groups.

Endpoint: GET /v1/type-groups
Version: 1.1.0
Security: Bearer

## Query parameters:

  - `uuids[eq]` (array)

  - `codes[eq]` (array)

  - `code[contains]` (string)

  - `code[starts]` (string)

  - `code[ends]` (string)

  - `code[order]` (string)

  - `displayNames[eq]` (array)

  - `displayName[contains]` (string)

  - `displayName[starts]` (string)

  - `displayName[ends]` (string)

  - `displayName[order]` (string)

  - `statuses[eq]` (array)
    Enum: "draft", "active", "inactive", "removed"

  - `status[order]` (string)

  - `entityTypes[eq]` (array)
    Enum: "product"

  - `createdAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[order]` (string)

  - `updatedAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[order]` (string)

  - `isRemoved[eq]` (boolean)

  - `page` (integer)

  - `size` (integer)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.uuid` (string, required)
    Unique identifier for this type group.

  - `items.createdAt` (string, required)
    Timestamp when this type group was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.updatedAt` (string, required)
    Timestamp when this type group was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.removedAt` (string,null)
    Timestamp when this type group was removed. Null if not removed.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.status` (string, required)
    Lifecycle status of a type group.
    Enum: "draft", "active", "inactive", "removed"

  - `items.entityType` (string, required)
    Entity type that a type group applies to.
    Enum: "product"

  - `items.code` (string, required)
    Unique code for this type group.

  - `items.displayName` (string, required)
    Human-readable name for this type group.

  - `items.description` (string,null)
    Optional description of this type group.

  - `pagination` (object, required)

  - `pagination.page` (integer, required)

  - `pagination.size` (integer, required)

  - `pagination.totalItems` (integer, required)

  - `pagination.totalPages` (integer, required)

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


